Skip to main content
DELETE
/
v1
/
entitlements
/
{entitlementId}
/
grants
/
{grantId}
Void Grant
curl --request DELETE \
  --url https://api.paygentic.io/v1/entitlements/{entitlementId}/grants/{grantId} \
  --header 'Authorization: Bearer <token>'
{
  "object": "grant",
  "id": "<string>",
  "entitlementId": "<string>",
  "amount": 123,
  "effectiveAt": "2023-11-07T05:31:56Z",
  "createdAt": "2023-11-07T05:31:56Z",
  "expiresAt": "2023-11-07T05:31:56Z",
  "voidedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API key authentication

Path Parameters

entitlementId
string
required

The unique identifier of the entitlement

Pattern: ^ent_[a-zA-Z0-9]+$
grantId
string
required

The unique identifier of the grant

Response

Grant successfully voided (or already voided).

object
enum<string>
default:grant
required
Available options:
grant
id
string
required

Unique identifier for the grant.

Pattern: ^grt_[a-zA-Z0-9]+$
entitlementId
string
required

The entitlement this grant belongs to.

Pattern: ^ent_[a-zA-Z0-9]+$
amount
number
required

The number of credits granted.

effectiveAt
string<date-time>
required

When the grant becomes effective.

createdAt
string<date-time>
required

When the grant was created.

expiresAt
string<date-time> | null

When the grant expires. Null means no expiration.

voidedAt
string<date-time> | null

When the grant was voided. Null means the grant is active.